summaryrefslogtreecommitdiff
path: root/dev-python/diskcache
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-26 13:40:54 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-26 13:40:54 +0000
commitcd7c4f9316e6461cf9ded6e016665b5d67b1b020 (patch)
tree90d4c2673ea90d501ea8a7f0b5faeaa7e31bd121 /dev-python/diskcache
parent29bb06cde53e6322020a7824aabdaf075c549b8e (diff)
downloadbaldeagleos-repo-cd7c4f9316e6461cf9ded6e016665b5d67b1b020.tar.gz
baldeagleos-repo-cd7c4f9316e6461cf9ded6e016665b5d67b1b020.tar.xz
baldeagleos-repo-cd7c4f9316e6461cf9ded6e016665b5d67b1b020.zip
Adding metadata
Diffstat (limited to 'dev-python/diskcache')
-rw-r--r--dev-python/diskcache/diskcache-5.4.0-r1.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/diskcache/diskcache-5.4.0-r1.ebuild b/dev-python/diskcache/diskcache-5.4.0-r1.ebuild
new file mode 100644
index 000000000000..4cf43bfe6010
--- /dev/null
+++ b/dev-python/diskcache/diskcache-5.4.0-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="
+ https://www.grantjenks.com/docs/diskcache/
+ https://github.com/grantjenks/python-diskcache/
+"
+DESCRIPTION="Disk and file backed cache"
+SRC_URI="
+ https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/python-diskcache-${PV}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ >=dev-python/django-3.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove dep on pytest-xdist and pytest-cov
+ sed -i -e '/-n auto/d' -e '/--cov/d' tox.ini || die
+
+ distutils-r1_src_prepare
+}